Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# OCRedLine Class Reference

A class that contains data of the bridge's red line for the open challenge. More...

`#include <SpecialPercept.h>`

Collaboration diagram for OCRedLine:

[legend]
List of all members.

## Public Member Functions
| OCRedLine ()
| Constructor.
void | addPercept (Vector2< int > lineStart, Vector2< int > lineEnd, Vector2< int > pointStart, Vector2< int > pointEnd, int angleInImage)
| method to add a new percept
## Public Attributes
bool | seen
| flag to know if red Line has been seen or not
Vector2< int > | lineStart
| Startpoint and endpont of red line The startpoint is nearer to the robot e.g.
Vector2< int > | lineEnd
Vector2< int > | pointStart
Vector2< int > | pointEnd
int | angleInImage
unsigned long | timeWhenLastSeen

## Detailed Description

A class that contains data of the bridge's red line for the open challenge.

Definition at line 161 of file SpecialPercept.h.

## Constructor & Destructor Documentation

OCRedLine::OCRedLine | ( |  | ) |

| Constructor. Definition at line 66 of file SpecialPercept.cpp. References lineEnd, Vector2< int >::x, and Vector2< int >::y.

## Member Function Documentation

void OCRedLine::addPercept | ( | Vector2< int > | lineStart,
|  | Vector2< int > | lineEnd,
|  | Vector2< int > | pointStart,
|  | Vector2< int > | pointEnd,
|  | int | angleInImage
| ) |

| method to add a new percept Definition at line 76 of file SpecialPercept.cpp. References SystemCall::getCurrentSystemTime().

Here is the call graph for this function:

## Member Data Documentation

bool OCRedLine::seen

| flag to know if red Line has been seen or not Definition at line 168 of file SpecialPercept.h.

Vector2<int> OCRedLine::lineStart

| Startpoint and endpont of red line The startpoint is nearer to the robot e.g. on the bottom of the image Definition at line 173 of file SpecialPercept.h. Referenced by operator<<(), and operator>>().

Vector2<int> OCRedLine::lineEnd

| Definition at line 174 of file SpecialPercept.h. Referenced by OCRedLine(), operator<<(), and operator>>().

Vector2<int> OCRedLine::pointStart

| Definition at line 175 of file SpecialPercept.h.

Vector2<int> OCRedLine::pointEnd

| Definition at line 176 of file SpecialPercept.h.

int OCRedLine::angleInImage

| Definition at line 177 of file SpecialPercept.h. Referenced by operator<<(), and operator>>().

unsigned long OCRedLine::timeWhenLastSeen

| Definition at line 178 of file SpecialPercept.h. Referenced by operator<<(), and operator>>().

The documentation for this class was generated from the following files:

- Representations/Perception/SpecialPercept.h
- Representations/Perception/SpecialPercept.cpp